<script>
import { GlButton } from '@gitlab/ui';
import { __ } from '~/locale';

export default {
  name: 'GeoNodeActionsDesktop',
  i18n: {
    editButtonLabel: __('Edit'),
    removeButtonLabel: __('Remove'),
  },
  components: {
    GlButton,
  },
  props: {
    node: {
      type: Object,
      required: true,
    },
  },
};
</script>

<template>
  <div>
    <gl-button class="gl-mr-3" :href="node.webEditUrl">{{
      $options.i18n.editButtonLabel
    }}</gl-button>
    <gl-button
      variant="danger"
      category="secondary"
      :disabled="node.primary"
      data-testid="geo-desktop-remove-action"
      >{{ $options.i18n.removeButtonLabel }}</gl-button
    >
  </div>
</template>
